## org.apache.commons.collections.functors
Class ExceptionPredicate

    java.lang.Object
      org.apache.commons.collections.functors.ExceptionPredicate

All Implemented Interfaces:
  java.io.Serializable, Predicate

    public final class ExceptionPredicate

extends java.lang.Object
implements Predicate, java.io.Serializable

Predicate implementation that always throws an exception.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Field Summary
`static Predicate` `INSTANCE` Singleton predicate instance

Method Summary
`boolean` `evaluate(java.lang.Object object)` Evaluates the predicate always throwing an exception.
`static Predicate` `getInstance()` Factory returning the singleton instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final Predicate INSTANCE

  Singleton predicate instance

Method Detail

### getInstance

    public static Predicate getInstance()

  Factory returning the singleton instance.

  Returns:
    the singleton instance
  Since:
    Commons Collections 3.1

### evaluate

    public boolean evaluate(java.lang.Object object)

  Evaluates the predicate always throwing an exception.

  Specified by:
    `evaluate` in interface `Predicate`
  Parameters:
    `object` - the input object
  Returns:
    never
  Throws:
    `FunctorException` - always

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.